﻿using Hotline.CallCenter.Devices;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;

namespace Hotline.Api.Controllers;

[ApiController]
[Route("api/report")]
public class ReportController : ControllerBase
{
    private readonly IOptionsSnapshot<DeviceConfigs> _options;
    private readonly IDeviceEventHandler _deviceEventHandler;

    public ReportController(IOptionsSnapshot<DeviceConfigs> options, IDeviceEventHandler deviceEventHandler)
    {
        _options = options;
        _deviceEventHandler = deviceEventHandler;
    }

    [HttpGet]
    public async Task ReceiveEvents()
    {
        await _deviceEventHandler.HandleAsync(Request.Body, _options.Value, HttpContext.RequestAborted);
    }
}