﻿using Hotline.CallCenter.BlackLists;
using Hotline.CallCenter.Devices;
using Hotline.CallCenter.Ivrs;
using Hotline.Realtimes;
using Hotline.Share.Dtos.Realtime;
using Hotline.Users;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using NewRock.Sdk;
using NewRock.Sdk.Security;
using XF.Domain.Authentications;
using XF.Domain.Cache;
using XF.Domain.Exceptions;

namespace Hotline.Api.Controllers
{
    /// <summary>
    /// 
    /// </summary>
    public class TestController : BaseController
    {
        private readonly ILogger<TestController> _logger;
        private readonly IAuthorizeGenerator _authorizeGenerator;
        private readonly IOptionsSnapshot<DeviceConfigs> _options;
        private readonly ISessionContext _sessionContext;
        private readonly IUserRepository _userRepository;

        private readonly ITypedCache<User> _cache;
        private readonly IRealtimeService _realtimeService;
        private readonly IBlacklistDomainService _blacklistDomainService;
        private readonly IIvrDomainService _ivrDomainService;

        //private readonly ITypedCache<List<User>> _cache;
        //private readonly ICacheManager<User> _cache;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="client"></param>
        /// <param name="logger"></param>
        /// <param name="authorizeGenerator"></param>
        /// <param name="options"></param>
        /// <param name="sessionContext"></param>
        /// <param name="userRepository"></param>
        /// <param name="cache"></param>
        /// <param name="realtimeService"></param>
        /// <param name="blacklistDomainService"></param>
        /// <param name="ivrDomainService"></param>
        public TestController(
            INewRockClient client,
            ILogger<TestController> logger,
            IAuthorizeGenerator authorizeGenerator,
            IOptionsSnapshot<DeviceConfigs> options,
            ISessionContext sessionContext,
            IUserRepository userRepository,
            //ICacheManager<User> cache
            //ITypedCache<List<User>> cache
            ITypedCache<User> cache,
            IRealtimeService realtimeService,
            IBlacklistDomainService blacklistDomainService,
            IIvrDomainService ivrDomainService
            )
        {
            _logger = logger;
            _authorizeGenerator = authorizeGenerator;
            _options = options;
            _sessionContext = sessionContext;
            _userRepository = userRepository;
            _cache = cache;
            _realtimeService = realtimeService;
            _blacklistDomainService = blacklistDomainService;
            _ivrDomainService = ivrDomainService;
        }


        /// <summary>
        /// signalR测试（method: Ring）
        /// </summary>
        /// <returns></returns>
        [HttpGet("ring")]
        public async Task RingTest()
        {
            await _realtimeService.RingAsync(_sessionContext.RequiredUserId, new RingDto { From = _sessionContext.Phone??"未知号码" }, HttpContext.RequestAborted);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [AllowAnonymous]
        [HttpGet("t2")]
        public async Task GetVoiceEndAnswerAsyncTest()
        {
            //var answer = await _ivrDomainService.GetVoiceEndAnswerAsync("3", HttpContext.RequestAborted);
            //Console.WriteLine(answer.Content);
            throw new UserFriendlyException(2001, "test");
        }
    }
}
