﻿using Hotline.CallCenter.BlackLists;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Dtos.User;
using Hotline.Users;
using Mapster;

namespace Hotline.Application.Contracts.Mappers
{
    public class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.NewConfig<AddBlacklistDto, Blacklist>()
                .Ignore(d => d.Expired)
                .AfterMapping((s, t) => t.InitExpired());

            config.NewConfig<AddUserDto, User>()
                .Map(d => d.Name, x => x.Name ?? x.UserName);
        }
    }
}
