﻿using Hotline.CallCenter.Ivrs;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.CallCenter
{
    public class IvrRepository : BaseRepository<Ivr>, IIvrRepository, IScopeDependency
    {
        public IvrRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }

        public async Task UpdateWithoutStrategiesAsync(Ivr ivr, CancellationToken cancellationToken = default)
        {
            await Db.Updateable(ivr).IgnoreColumns(d => d.IvrStrategies).ExecuteCommandAsync();
        }
    }
}
