﻿using Hotline.Share.Enums;

namespace Hotline.Share.Dtos.CallCenter
{
    public class OutCallDto
    {
        public string CallId { get; set; }

        /// <summary>
        /// 信息类别
        /// </summary>
        public EInfoType InfoType { get; set; }

        /// <summary>
        /// 电话方向
        /// </summary>
        public ECallDirection Direction { get; set; }

        /// <summary>
        /// 主叫
        /// </summary>
        public string Cpn { get; set; }

        /// <summary>
        /// 被叫
        /// </summary>
        public string Cdpn { get; set; }

        /// <summary>
        /// 应答信息
        /// </summary>
        public string? Answered { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime BeginTime { get; set; }

        /// <summary>
        /// 接通时间
        /// </summary>
        public DateTime? OnTime { get; set; }

        /// <summary>
        /// 挂断时间
        /// </summary>
        public DateTime? ByeTime { get; set; }

        /// <summary>
        /// 通话时长
        /// </summary>
        public double? TalkTime { get; set; }

        /// <summary>
        /// 录音文件路径
        /// </summary>
        public string SoundFileName { get; set; }

        /// <summary>
        /// 评论结果
        /// </summary>
        public string EvaluateResult { get; set; }

        /// <summary>
        /// 挂机类型
        /// </summary>
        public EEndBy? EndBy { get; set; }

        /// <summary>
        /// 通话状态
        /// </summary>
        public EOnState OnState { get; set; }

    }
}
