﻿
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("组织架构")]
    public class SystemOrganize: CreationEntity
    {
        /// <summary>
        /// 组织架构名称
        /// </summary>
        public string OrgName { get; set; }

        /// <summary>
        /// 组织架构Code（001001001） 解析：001,001,001）
        /// </summary>
        public string OrgCode { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        public string ParentId { get; set; }

        /// <summary>
        /// 上级名称
        /// </summary>
        public string ParentName { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnable { get; set; }

        [SugarColumn(IsIgnore = true)]
        public List<SystemOrganize> children { get; set; }
    }
}
