﻿using System.ComponentModel;
using SqlSugar;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("系统参数")]
    public class SystemSetting:CreationEntity
    {
        /// <summary>
        /// 分组ID
        /// </summary>
        public string SystemSettingGroupId { get; set; }

        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 配置名称
        /// </summary>
        public string SettingName { get; set; }

        /// <summary>
        /// 预设值
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(4000)", IsNullable = true)]
        public string PresetValue { get; set; }

        /// <summary>
        /// 值类型
        /// </summary>
        public EValueType ValueType { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(4000)", IsNullable = true)]
        public string SettingValue { get; set; }

    }
}
