﻿using System.ComponentModel;
using SqlSugar;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Users
{
    /// <summary>
    /// 用户
    /// </summary>
    [Description("用户")]
    public class User : CreationSoftDeleteEntity
    {
        /// <summary>
        /// 手机号(冗余)
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? PhoneNo { get; set; }

        /// <summary>
        /// 展示名称(Identity.DisplayName)
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? StaffNo { get; set; }

        /// <summary>
        /// 默认分机号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? DefaultTelNo { get; set; }
    }
}
